package com.cristobalbernal.loladvisor.service;

import com.cristobalbernal.loladvisor.model.Lol;

import java.util.Collection;

public interface LolQueryService {
    public Collection<Lol> exec();
    public LolQueryService anyGenre(String... genres);
    public LolQueryService allGenres(String... genres);
    public LolQueryService year(String name);
    public LolQueryService betweenYears(String from, String to);
    public LolQueryService titleContains(String title);
}
